# eAI Contribution Guidelines

Thank you for taking interest in contributing to the project. Before contributing, please take time to ensure the feature you wish to work on fits within the scope of the project and isn’t already being developed on its own branch.

The easiest way to contribute is simply to make your own fork and submit a pull request on a new feature branch. Please follow the ground rules below:

### Ground Rules

1. Merge your own changes onto a feature branch unless they are small, one-off tweaks that can safely go on `experimental`.
2. Code review will be done when the feature is complete and ready to merge onto `experimental`.
3. Changes merged into `experimental` will be tested thoroughly on dedicated server/client (and eventually COM) before making it into the next Release Candidate (or Beta Tag) on `main`.
4. After a longer test process, sets of changes to `main` will be merged onto `stable`.

